%define srcname cinemagoer
%define module cinemagoer

Name:           python-cinemagoer
Version:        2023.5.1
Release:        %mkrel 3
Summary:        Retrieve and manage the data of the IMDb movie database
Group:          Development/Python
License:        GPLv2+
URL:            https://cinemagoer.github.io/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Cinemagoer is a Python package useful to retrieve and manage the data of
the IMDb movie database about movies, people, characters and companies.

%package -n     python3-%{module}
Summary:        Retrieve and manage the data of the IMDb movie database
Group:          Development/Python
BuildArch:      noarch
%{?python_provide:%python_provide python3-%{module}}
BuildRequires:  pkgconfig(python3)

# package was renamed from python3-imdbpy to python3-cinemagoer
Obsoletes:      python3-imdbpy < 6.8-7
Provides:       python3-imdbpy = %{version}-%{release}

%description -n python3-%{module}
Cinemagoer is a Python package useful to retrieve and manage the data of
the IMDb movie database about movies, people, characters and companies.

%files -n python3-%{module} -f %{pyproject_files}
%{_bindir}/imdbpy
%{_bindir}/*.py

#------------------------------------------------------------------------------

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files imdb



%changelog
* Sun Mar 02 2025 wally <wally> 2023.5.1-3.mga10
+ Revision: 2158096
- rebuild for python3.13

* Mon Feb 26 2024 daviddavid <daviddavid> 2023.5.1-2.mga10
+ Revision: 2044479
- do not forget to obsoletes/provides replaced python3-imdbpy

* Tue Jan 30 2024 papoteur <papoteur> 2023.5.1-1.mga10
+ Revision: 2036301
- new name
- new version 2023.5.1

* Wed Mar 23 2022 umeabot <umeabot> 6.8-6.mga9
+ Revision: 1823664
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 6.8-5.mga9
+ Revision: 1784352
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 6.8-4.mga9
+ Revision: 1733251
- Rebuild for python 3.9

* Sat Sep 19 2020 joequant <joequant> 6.8-3.mga8
+ Revision: 1628807
- fix build

* Sun Feb 16 2020 umeabot <umeabot> 6.8-2.mga8
+ Revision: 1532172
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 daviddavid <daviddavid> 6.8-1.mga8
+ Revision: 1441830
- new version: 6.8
- port to Python 3
- drop python2 support

* Sun Sep 23 2018 umeabot <umeabot> 4.9-9.mga7
+ Revision: 1300499
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 4.9-8.mga6
+ Revision: 934800
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.9-7.mga5
+ Revision: 743589
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 4.9-6.mga5
+ Revision: 728741
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 4.9-5.mga5
+ Revision: 688086
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 4.9-3.mga4
+ Revision: 543589
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 4.9-2.mga4
+ Revision: 498726
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Feb 09 2013 mikala <mikala> 4.9-1.mga3
+ Revision: 397614
- imported package python-imdbpy

